/*******************************************************************************
* File Name: EOC.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EOC_H) /* Pins EOC_H */
#define CY_PINS_EOC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EOC_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 EOC__PORT == 15 && ((EOC__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    EOC_Write(uint8 value) ;
void    EOC_SetDriveMode(uint8 mode) ;
uint8   EOC_ReadDataReg(void) ;
uint8   EOC_Read(void) ;
uint8   EOC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EOC_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EOC_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EOC_DM_RES_UP          PIN_DM_RES_UP
#define EOC_DM_RES_DWN         PIN_DM_RES_DWN
#define EOC_DM_OD_LO           PIN_DM_OD_LO
#define EOC_DM_OD_HI           PIN_DM_OD_HI
#define EOC_DM_STRONG          PIN_DM_STRONG
#define EOC_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EOC_MASK               EOC__MASK
#define EOC_SHIFT              EOC__SHIFT
#define EOC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EOC_PS                     (* (reg8 *) EOC__PS)
/* Data Register */
#define EOC_DR                     (* (reg8 *) EOC__DR)
/* Port Number */
#define EOC_PRT_NUM                (* (reg8 *) EOC__PRT) 
/* Connect to Analog Globals */                                                  
#define EOC_AG                     (* (reg8 *) EOC__AG)                       
/* Analog MUX bux enable */
#define EOC_AMUX                   (* (reg8 *) EOC__AMUX) 
/* Bidirectional Enable */                                                        
#define EOC_BIE                    (* (reg8 *) EOC__BIE)
/* Bit-mask for Aliased Register Access */
#define EOC_BIT_MASK               (* (reg8 *) EOC__BIT_MASK)
/* Bypass Enable */
#define EOC_BYP                    (* (reg8 *) EOC__BYP)
/* Port wide control signals */                                                   
#define EOC_CTL                    (* (reg8 *) EOC__CTL)
/* Drive Modes */
#define EOC_DM0                    (* (reg8 *) EOC__DM0) 
#define EOC_DM1                    (* (reg8 *) EOC__DM1)
#define EOC_DM2                    (* (reg8 *) EOC__DM2) 
/* Input Buffer Disable Override */
#define EOC_INP_DIS                (* (reg8 *) EOC__INP_DIS)
/* LCD Common or Segment Drive */
#define EOC_LCD_COM_SEG            (* (reg8 *) EOC__LCD_COM_SEG)
/* Enable Segment LCD */
#define EOC_LCD_EN                 (* (reg8 *) EOC__LCD_EN)
/* Slew Rate Control */
#define EOC_SLW                    (* (reg8 *) EOC__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EOC_PRTDSI__CAPS_SEL       (* (reg8 *) EOC__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EOC_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EOC__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EOC_PRTDSI__OE_SEL0        (* (reg8 *) EOC__PRTDSI__OE_SEL0) 
#define EOC_PRTDSI__OE_SEL1        (* (reg8 *) EOC__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EOC_PRTDSI__OUT_SEL0       (* (reg8 *) EOC__PRTDSI__OUT_SEL0) 
#define EOC_PRTDSI__OUT_SEL1       (* (reg8 *) EOC__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EOC_PRTDSI__SYNC_OUT       (* (reg8 *) EOC__PRTDSI__SYNC_OUT) 


#if defined(EOC__INTSTAT)  /* Interrupt Registers */

    #define EOC_INTSTAT                (* (reg8 *) EOC__INTSTAT)
    #define EOC_SNAP                   (* (reg8 *) EOC__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_EOC_H */


/* [] END OF FILE */
