/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

/* DMA Configuration constants for DMA_1 */
#define DMA_1_BYTES_PER_BURST (1u)
#define DMA_1_REQUEST_PER_BURST (1u)
#define DMA_1_SRC_BASE (CYDEV_PERIPH_BASE)
#define DMA_1_DST_BASE (CYDEV_PERIPH_BASE)

void DMA_Config(void);

uint16 result;
 

int main()
{
    ADC_SAR_1_Start();


    DMA_Config();

    ADC_SAR_1_StartConvert();
    
    UART_Start();
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    /* CyGlobalIntEnable; */ /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
    /*   just testing the UART Tx ... it works */    
    //   result = ADC_SAR_1_GetResult16();
    //   UART_WriteTxData((uint8)result);
        
    }
}



void DMA_Config()
{
    /* Variable declarations for DMA_1 */
    uint8 DMA_1_Chan;
    uint8 DMA_1_TD[1] = {0};

    /* Iniitialize DMA channel */
    DMA_1_Chan = DMA_1_DmaInitialize(DMA_1_BYTES_PER_BURST, DMA_1_REQUEST_PER_BURST,
                                     HI16(DMA_1_SRC_BASE), HI16(DMA_1_DST_BASE));

    /* Allocate TD */
    DMA_1_TD[0] = CyDmaTdAllocate();

    /* TD configuration setting */
    CyDmaTdSetConfiguration(DMA_1_TD[0], 1u, DMA_INVALID_TD, DMA_1__TD_TERMOUT_EN);

    /* Set Source and Destination address */
    CyDmaTdSetAddress(DMA_1_TD[0], LO16((uint16)ADC_SAR_1_SAR_WRK0_PTR), LO16((uint16)UART_TXDATA_REG));

    /* TD initialization */
    CyDmaChSetInitialTd(DMA_1_Chan, DMA_1_TD[0]);

    /* Enable the DMA channel */
    CyDmaChEnable(DMA_1_Chan, 1u);
}

/* [] END OF FILE */
